package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanGroupChat
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 13:35:28
 * @Modify
 * @CopyRight 
 */
public class GroupChatDTO implements Serializable {

    private static final long serialVersionUID = 13124020287100L;

    /**主键*/
    private Long groupChatId;
    private String wxEnterpriseId;
    /**群名称*/
    private String name;
    /**群主*/
    private String staffId;
    /**群id(企微)*/
    private String wxChatId;
    /**群创建时间*/
    private java.util.Date chatAddTime;
    /**群解散时间*/
    private java.util.Date chatDissolveTime;
    /**群公告*/
    private String chatNotice;
    /**群状态*/
    private Integer chatStatus;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**是否删除1是0否*/
    private Integer deleteFlag;
    /**群成员数*/
    private Integer totalCount;
    /**群客户数*/
    private Integer totalMemberCount;
    /**新增总客户数*/
    private Integer addMemberCount;
    /**新增总成员数*/
    private Integer addCount;
    /**流失总成员数*/
    private Integer quitCount;
    /**流失总客户数*/
    private Integer quitMemberCount;
    /**gic企业ID*/
    private String enterpriseId;
    /**gic侧状态1可用,2不可用*/
    private Integer gicFlag;
    private String staffName;
    private String staffImage;
    private String originalStaffId;
    private String originalStaffName;
    private Date offTime;
    // 1已关联导购 0未关联导购
    private int clerkRelationFlag = 0;
    private int openConcatFlag = 0;
    // 群主未激活、开通联系我说明
    private String ownerRemark;
    // 群主所有群能加到活码标识1可以0不可以
    private int ownerAddFlag = 1;
    // 活码加人状态1正常 2已满不可以加人>200
    private int hmAddStatus = 1 ;
    private String chatRemark ;
    private int initFlag ;
    private String clerkRelationExcel;
    public String getClerkRelationExcel() {
        if (clerkRelationFlag == 0){
            clerkRelationExcel="未关联";
        }else {
            clerkRelationExcel="已关联";
        }
        return clerkRelationExcel;
    }

    // 群主关联门店
    private String ownerStoreCode ;
    private String ownerStoreName ;

    public String getOwnerStoreCode() {
        return ownerStoreCode;
    }

    public void setOwnerStoreCode(String ownerStoreCode) {
        this.ownerStoreCode = ownerStoreCode;
    }

    public String getOwnerStoreName() {
        return ownerStoreName;
    }

    public void setOwnerStoreName(String ownerStoreName) {
        this.ownerStoreName = ownerStoreName;
    }

    public void setClerkRelationExcel(String clerkRelationExcel) {
        this.clerkRelationExcel = clerkRelationExcel;
    }

    public int getInitFlag() {
        return initFlag;
    }

    public void setInitFlag(int initFlag) {
        this.initFlag = initFlag;
    }

    public String getChatRemark() {
        return chatRemark;
    }

    public void setChatRemark(String chatRemark) {
        this.chatRemark = chatRemark;
    }

    public int getHmAddStatus() {
        return hmAddStatus;
    }

    public void setHmAddStatus(int hmAddStatus) {
        this.hmAddStatus = hmAddStatus;
    }

    public String getOwnerRemark() {
        return ownerRemark;
    }

    public String getOriginalStaffName() {
        return originalStaffName;
    }

    public int getOwnerAddFlag() {
        return ownerAddFlag;
    }

    public void setOwnerRemark(String ownerRemark) {
        this.ownerRemark = ownerRemark;
    }

    public void setOwnerAddFlag(int ownerAddFlag) {
        this.ownerAddFlag = ownerAddFlag;
    }

    public void setOriginalStaffName(String originalStaffName) {
        this.originalStaffName = originalStaffName;
    }

    public int getOpenConcatFlag() {
        return openConcatFlag;
    }

    public void setOpenConcatFlag(int openConcatFlag) {
        this.openConcatFlag = openConcatFlag;
    }

    public int getClerkRelationFlag() {
        return clerkRelationFlag;
    }

    public void setClerkRelationFlag(int clerkRelationFlag) {
        this.clerkRelationFlag = clerkRelationFlag;
    }

    public String getStaffImage() {
        return staffImage;
    }

    public void setStaffImage(String staffImage) {
        this.staffImage = staffImage;
    }

    public Date getOffTime() {
        return offTime;
    }

    public void setOffTime(Date offTime) {
        this.offTime = offTime;
    }

    public String getOriginalStaffId() {
        return originalStaffId;
    }

    public void setOriginalStaffId(String originalStaffId) {
        this.originalStaffId = originalStaffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }

    public String getWxChatId() {
        return wxChatId;
    }

    public void setChatAddTime(java.util.Date chatAddTime) {
        this.chatAddTime = chatAddTime;
    }

    public java.util.Date getChatAddTime() {
        return chatAddTime;
    }

    public void setChatDissolveTime(java.util.Date chatDissolveTime) {
        this.chatDissolveTime = chatDissolveTime;
    }

    public java.util.Date getChatDissolveTime() {
        return chatDissolveTime;
    }

    public void setChatNotice(String chatNotice) {
        this.chatNotice = chatNotice;
    }

    public String getChatNotice() {
        return chatNotice;
    }

    public void setChatStatus(Integer chatStatus) {
        this.chatStatus = chatStatus;
    }

    public Integer getChatStatus() {
        return chatStatus;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalMemberCount(Integer totalMemberCount) {
        this.totalMemberCount = totalMemberCount;
    }

    public Integer getTotalMemberCount() {
        return totalMemberCount;
    }

    public void setAddMemberCount(Integer addMemberCount) {
        this.addMemberCount = addMemberCount;
    }

    public Integer getAddMemberCount() {
        return addMemberCount;
    }

    public void setAddCount(Integer addCount) {
        this.addCount = addCount;
    }

    public Integer getAddCount() {
        return addCount;
    }

    public void setQuitCount(Integer quitCount) {
        this.quitCount = quitCount;
    }

    public Integer getQuitCount() {
        return quitCount;
    }

    public void setQuitMemberCount(Integer quitMemberCount) {
        this.quitMemberCount = quitMemberCount;
    }

    public Integer getQuitMemberCount() {
        return quitMemberCount;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public Integer getGicFlag() {
        return gicFlag;
    }

    public void setGicFlag(Integer gicFlag) {
        this.gicFlag = gicFlag;
    }
}